.net geliştirici olarak, visual studio nun versiyonunu güncelleyince, eski versiyonlarda yapılmış projeler yeni versiyonda açılabiliyor. Tam tersi ise mümkün değil.

Xcode 'da tam tersi bir durumda aynı sorun olur mu? Xcode 5.1 var işletim sistemini, Lion 'dan, mavericks 'e yükselttim, Xcode 6 güncellemesi var. Bu güncellemeyi yaparsam 5.1 de yapılmış projeler etkilenir mi? Yani 5.1 ile yapılmış projeler Xcode 6 da açıldıktan sonra tekrardan 5.1 de çalışır mı? Bu tür güncellemeler de nelere dikkat etmeliyim?

Teşekkürler...

soruldu: 24 Eyl '14, 03:39

AliR%C4%B1za%20Ad%C4%B1yah%C5%9Fi's gravatar image

AliRıza Adıyahşi ♦
7.9k146288
cevap kabul oranı: 44%

değiştirildi: 24 Eyl '14, 03:41


Doğrudan xcode güncellemesi sonrası projenin açılamaması gibi bir sorunla karşılaşılmıyor, sadece her itunes ve xcode versiyonunda uygulama yayınlama için aranılan koşul ve şartlar değişebiliyor. Buna bağlı olarak projenizde eksik resource tipleri ya da yeni versiyonlarda deprecated olarak geçen kullanımlar vs varsa bunları düzenleyip projeyi çalıştırmanız gerekebiliyor.Bir Apple Developersanız uygulamalarınızı yayınlayabileceğiniz tek ortamın appstore olduğu da düşünülürse xcode ve itunes uygulamalarının eski versiyonlarını tutmanız uygulamanızı güncellerken app store application validation aşamasından geçmenizi de sağlamayacaktır. En güzel yol bir an önce tüm güncellemelerle sistemde nelerin etkilendiğini tespit edip revizyonları yapmaktır.

permanent link

cevaplandı: 24 Eyl '14, 04:17

onuratci's gravatar image

onuratci
26213
cevap kabul oranı: 25%

Güncellemeden sonra 5.1 i kullanabilmek için bazı araçlar yüklenmesi gerekiyor diye bir uyarı aldım, onayladım, 5.1 şu an sorunsuz çalışıyor. Bu konuda çok yeniyim. Bundan dolayı yazdıklarınızın bir kısmını anladım. Bu konuda kullandığım herşey(geliştirici lisansı da dahil) şirketin. 5.1 ile yazılmıs uygulamalar var ve bunların üzerinde hala çalışacak olan başka geliştiriciler var. Sizce Xcode 6 yı yuklemelimiyim (yüklemem şart değil aslında)? Yoksa 5.1 kalsın mı? Yani güncellesem diger geliştiricileri engelleyecek birşey cıkar mı?

(24 Eyl '14, 04:35) AliRıza Adıyahşi ♦ AliR%C4%B1za%20Ad%C4%B1yah%C5%9Fi's gravatar image

XCode 6'ya geçtiğinizde projede bazı değişiklikler olursa diğer ekip arkadaşlarınızı etkileyebilir. En iyisi hangi versiyonun kullanılacağına ekip olarak karar vermek olabilir sizin durumunuz için.

(24 Eyl '14, 04:38) onuratci onuratci's gravatar image

Sorunsuzca çalışır. Sadece bazı methodlar depraced(yani modası geçmiş) oluyor. Ama herhangi bir çalışmama duruma olmuyor. (Ama depraced olmuş methodları düzenlemeniz gerekiyor. Ayrıca xcode 6 yı güncellediğinizde, xcode5 duruyor olacaktır. Xcode 6da sorun yaşarsınız xcode5e geri dönebilirsiniz.

permanent link

cevaplandı: 24 Eyl '14, 22:17

Antiokhos's gravatar image

Antiokhos
8365815
cevap kabul oranı: 17%

"xcode 6 yı güncellediginizde" den kasıt 5.1 i güncellediginizde mi? 5.1 yüklü 6 yok. 5.1 'i güncelleyince 6 geliyor, 5.1 duruyor mu olacak anlamında bu cümle?

(25 Eyl '14, 01:03) AliRıza Adıyahşi ♦ AliR%C4%B1za%20Ad%C4%B1yah%C5%9Fi's gravatar image
1

AppStoredan xcode6 yı bulun indirin. Xcode 5 üzerine kaydetmiyor. Ayrı bir uygulama olarak indiriyor.. Hem xcode6 hem xcode5 Application klasöründe oluyor..

(25 Eyl '14, 01:13) Antiokhos Antiokhos's gravatar image
Cevabınız
toggle preview

Bu soruyu takip et

E-Posta üzerinden:

Üyelik girişi yaptıktan sonra abonelik işlemlerini yapabilirsiniz

RSS üzerinden:

Cevaplar

Cevaplar ve Yorumlar

Yazı Formatlama

  • *italic* ya da _italic_
  • **bold** ya da __bold__
  • link:[text](http://url.com/ "başlık")
  • resim?![alt text](/path/img.jpg "başlık")
  • liste: 1. Foo 2. Bar
  • temel HTML etiketleri de kullanılabilir

Bu sorunun etiketleri:

×16

Soruldu: 24 Eyl '14, 03:39

Görüntüleme: 504 kez

Son güncelleme: 25 Eyl '14, 01:13

powered by BitNami OSQA